
%define snap 20110501

Name:           kde-plasma-networkmanagement
Epoch:          1
Version:        0.9
Release:        0.48.%{snap}%{?dist}
Summary:        NetworkManager KDE 4 integration

Group:          Applications/Internet
License:        (GPLv2 or GPLv3) and GPLv2+ and LGPLv2+ and LGPLv2
URL:            https://projects.kde.org/projects/extragear/base/networkmanagement 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# use networkmanagement.rb script from
# https://projects.kde.org/projects/playground/sdk/releaseme
# and rename with %{snap} in filename
Source0:        networkmanagement-%{version}-%{snap}.tar.bz2

# Add plasma-nm to default systray if needed, for upgraders...
#Source10: 00-fedora-networkmanagement.js

## upstreamable patches
# https://git.reviewboard.kde.org/r/100855/
#Patch51: 0001-internal-fix-connecting-to-WiFi-when-In-file-unencry.patch

## upstream patches

BuildRequires:  kdelibs4-devel >= 4.5.0
BuildRequires:  kdebase-workspace-devel
BuildRequires:  NetworkManager-glib-devel >= 0.7.0
BuildRequires:  PolicyKit-devel
BuildRequires:  qt4-devel
BuildRequires:  gettext

# multilib upgrades
Obsoletes: kde-plasma-networkmanagement < 0.1-0.21
Obsoletes: kde-plasma-networkmanagement-devel < 0.1-0.21

Requires: %{name}-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

Obsoletes: knetworkmanager < %{?epoch:%{epoch}:}%{version}-%{release}
Provides:  knetworkmanager = %{?epoch:%{epoch}:}%{version}-%{release}

%description
A Plasma applet to control your wired and wireless network(s) in KDE 4 using
the default NetworkManager service.

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}
Obsoletes: knetworkmanager-libs < %{?epoch:%{epoch}:}%{version}-%{release}
Provides:  knetworkmanager-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: NetworkManager
%description libs
%{summary}.

%package openvpn
Summary:        OpenVPN support for %{name}
Group:          Applications/Internet
Requires:       %{name}-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release} 
Requires:       NetworkManager-openvpn
Obsoletes:      knetworkmanager-openvpn < %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       knetworkmanager-openvpn = %{?epoch:%{epoch}:}%{version}-%{release}
%description openvpn
%{summary}.

%package pptp
Summary:        PPTP support for %{name} 
Group:          Applications/Internet
Requires:       %{name}-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       NetworkManager-pptp
Obsoletes:      knetworkmanager-pptp < %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       knetworkmanager-pptp = %{?epoch:%{epoch}:}%{version}-%{release}
%description pptp
%{summary}.

%package strongswan
Summary:        strongswan support for %{name}
Group:          Applications/Internet
Requires:       %{name}-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       strongswan 
%description strongswan
%{summary}.

%package vpnc
Summary:        Vpnc support for %{name} 
Group:          Applications/Internet
Requires:       %{name}-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release} 
Requires:       NetworkManager-vpnc
Obsoletes:      knetworkmanager-vpnc < %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       knetworkmanager-vpnc = %{?epoch:%{epoch}:}%{version}-%{release}
%description vpnc
%{summary}.


%prep
%setup -q -n networkmanagement-%{version}

#%patch51 -p1 -b .in_file_secrets

# nuke monolithic knm bits
rm -rfv monolithic po/*/knetworkmanager.po
sed -i.no_monolithic -e 's|add_subdirectory(monolithic)|#add_subdirectory(monolithic)|' CMakeLists.txt


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
  -DDBUS_SYSTEM_POLICY_DIR=%{_sysconfdir}/dbus-1/system.d \
  -DCMAKE_BUILD_TYPE=debugfull \
  ..
popd


make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast -C %{_target_platform} DESTDIR=%{buildroot} PREFIX=%{_prefix}

## unpackaged files
# nuke -devel type stuff for which there isn't a public API
rm -fv %{buildroot}%{_kde4_libdir}/libknm{client,internals,service,ui}.so
# novellvpn bits (TODO: what is it?)
rm -fv %{buildroot}%{_kde4_libdir}/kde4/networkmanagement_novellvpnui.so
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/networkmanagement_novellvpnui.desktop
# strongswan bits
rm -fv %{buildroot}%{_kde4_libdir}/kde4/networkmanagement_strongswanui.so
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/networkmanagement_strongswanui.desktop

# migrate to nm plasmoid
#install -m644 -p -D %{SOURCE10} %{buildroot}%{_kde4_appsdir}/plasma-desktop/updates/00-fedora-networkmanagement.js

#%find_lang libknetworkmanager
#%find_lang plasma_applet_networkmanagement


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
  gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


#%files -f plasma_applet_networkmanagement.lang
%files
%defattr(-,root,root,-)
%doc TODO DESIGN COPYING COPYING.LIB
%{_kde4_datadir}/kde4/services/plasma-applet-networkmanagement.desktop
%{_kde4_datadir}/kde4/services/plasma-engine-networkmanagement.desktop
%{_kde4_datadir}/kde4/services/kded/networkmanagement.desktop
%{_kde4_libdir}/kde4/plasma_applet_networkmanagement.so
%{_kde4_libdir}/kde4/plasma_engine_networkmanagement.so
%{_kde4_libdir}/kde4/kded_networkmanagement.so
#%{_kde4_appsdir}/plasma-desktop/updates/*.js
%{_kde4_iconsdir}/oxygen/*/*/*
%{_sysconfdir}/dbus-1/system.d/NetworkManager-kde4.conf
%{_kde4_libexecdir}/networkmanagement_configshell
%{_kde4_appsdir}/networkmanagement/
%{_kde4_datadir}/kde4/services/kcm_networkmanagement.desktop
%{_kde4_datadir}/kde4/services/kcm_networkmanagement_tray.desktop
%{_kde4_datadir}/kde4/servicetypes/networkmanagement_vpnuiplugin.desktop
%{_kde4_libdir}/kde4/kcm_networkmanagement.so
%{_kde4_libdir}/kde4/kcm_networkmanagement_tray.so


#%files libs -f libknetworkmanager.lang
%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libknmclient.so.4*
%{_kde4_libdir}/libknminternals.so.4*
%{_kde4_libdir}/libknmservice.so.4*
%{_kde4_libdir}/libknmui.so.4*
# Unversioned libraries
%{_kde4_libdir}/libknm_nm.so
%{_kde4_libdir}/libsolidcontrolfuture.so

%files openvpn
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/networkmanagement_openvpnui.so
%{_kde4_datadir}/kde4/services/networkmanagement_openvpnui.desktop

#files novellvpn
#defattr(-,root,root,-)
#{_kde4_libdir}/kde4/networkmanagement_novellvpnui.so
#{_kde4_datadir}/kde4/services/networkmanagement_novellvpnui.desktop

%files vpnc
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/networkmanagement_vpncui.so
%{_kde4_datadir}/kde4/services/networkmanagement_vpncui.desktop

%files pptp
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/networkmanagement_pptpui.so
%{_kde4_datadir}/kde4/services/networkmanagement_pptpui.desktop


%changelog
* Thu May 01 2011 Rajeesh K Nambiar <rajeeshknambiar@fedoraproject.org> 1:0.9-0.48.20110501
- Connection Sharing, Bluetooth DUN, NAP!

* Mon Apr 04 2011 Rajeesh K Nambiar <rajeeshknambiar@fedoraproject.org> 1:0.9-0.39.20110404
- Various fixes, including hiding <hidden network> when networking is disabled

* Sat Apr 02 2011 Rajeesh K Nambiar <rajeeshknambiar@fedoraproject.org> 1:0.9-0.39.20110402
- Various fixes, including hiding <hidden network> when networking is disabled

* Sat Mar 26 2011 Rajeesh K Nambiar <rajeeshknambiar@fedoraproject.org> 1:0.9-0.39.20110326
- Various fixes, including hiding <hidden network> when networking is disabled

* Sun Mar 20 2011 Rajeesh K Nambiar <rajeeshknambiar@feodraproject.org> 1:0.9-0.39.20110320
- Fixes VPN secrets storage issue

* Mon Mar 14 2011 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.39.20110314
- 20110314 snapshot

* Mon Mar 14 2011 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.38.20110310
- fix "In file (unencrypted)" secrets storage (#682972)

* Thu Mar 10 2011 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.37.20110310
- 20110310 snapshot
- Updated code to fix "Enable ..." checkbox handling

* Tue Mar 08 2011 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.36.20110308
- 20110308 snapshot

* Mon Feb 21 2011 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.35.20110221
- 20110221 snapshot

* Thu Feb 17 2011 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.34.20110217
- 20110217 snapshot (with translations)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9-0.33.20110106
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 06 2011 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.32.20110106
- 20110106 snapshot (sans translations for now)

* Wed Nov 17 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.31.20101117
- 20101117 snapshot
- "Always ask for password" does not work (#582933,kde#244416)

* Tue Nov 09 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.30.20101105
- move shared bits to main pkg
- -libs: Requires: %%name

* Tue Nov 09 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.29.20101105
- 20101105 snapshot
- use kde-plasma-networkmangement-* subpkg names
- drop monolithic/knm bits

* Fri Oct 22 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.28.20101011.2
- rebuild for kde-4.5

* Mon Oct 11 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.28.20101011
- 20101011 snapshot
- KDE NM applet 20101008 snapshot crashes on new CDMA connection (#641792)
- Add NetworkManager dependency to knetworkmanager (#618918)

* Fri Oct 08 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.27.20101008
- 20101008 snapshot, includes new Adding Mobile Connection Wizard (#584124)

* Wed Sep 29 2010 jkeating - 1:0.9-0.26.20100920
- Rebuilt for gcc bug 634757

* Wed Sep 22 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.25.20100920
- make plasma_applet unconditional
- include javascript to enable nm plasmoid in systray, kde45+ (#604798)

* Mon Sep 20 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.24.20100920
- 20100920 snapshot
- Obsoletes: knetworkmanager , if built against kde-4.5 (#604798)

* Tue Sep 14 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.23.20100830
- knetworkmanager doesn´t recognize BSSID (kde#238046)

* Mon Aug 30 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.22.20100830
- 20100830 snapshot
- Requires: kdebase-runtime

* Tue Jun 29 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.21.20100603
- Conflicts: kdebase-runtime > 4.4.76 (if built on/for < kde-4.4)
- use -DINSTALL_KNM_AUTOSTART=ON (compat with f12's cmake)

* Thu Jun 03 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.20.20100603
- 20100603 snapshot
- Add "Enable networking" button to knetworkmanager (rh#598765,kde#238325)

* Mon Apr 19 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.19.20100419
- 20100419 snapshot

* Thu Apr 01 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.18.20100401
- 20100401 snapshot
- (re)add warning about plasma applet stability

* Fri Mar 19 2010 Jaroslav Reznik <jreznik@redhat.com> 1:0.9-0.17.20100310
- split out PPTP VPN ui to -pptp

* Wed Mar 10 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.16.20100310
- 20100310 kdereview snapshot
- vpn-related fixes/improvements to plasmoid

* Tue Mar 09 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.15.20100309
- move common items to -libs, make knm,-nm installable separately.

* Tue Mar 09 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.14.20100309
- 200100309 snapshot
- on queue, plasmoid reportedly ready for wider testing, re-enabling (#571433)

* Mon Mar 08 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.13.20100220svn
- make kde-plasma-neworkmanagment an empty placeholder package (#571433)
- knetworkmanager: move kcm_networkmanagement_tray bits here (from kde-plasma-nm)

* Sun Feb 21 2010 Kevin Kofler <Kevin@tigcc.ticalc.org>  1:0.9-0.12.20100220svn
- update to revision 1093233 (2010-02-20)
- use user-readable URL instead of outdated websvn link
- include translations (#566386, use create_tarball.rb script from kdesdk trunk)

* Wed Feb 10 2010 Kevin Kofler <Kevin@tigcc.ticalc.org>  1:0.9-0.11.20100210svn
- update to revision 1088283 (2010-02-10)
- drop F10 conditionals
- warn about the plasmoid being experimental, recommend knetworkmanager
- drop minimum version requirements for qt and kdelibs, not needed anymore

* Thu Jan 28 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.10.20091220svn
- -libs: use %%{_kde4_version}

* Mon Dec 21 2009 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.9.20091220svn
- 20091220 snapshot
- -libs: use/tighten qt4/kdelibs4 deps

* Tue Nov 24 2009 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.8.20091124svn
- New snapshot
- BR: qt4-devel >= 4.6.0

* Tue Nov 24 2009 Ben Boeckel <MathStuf@gmail.com> - 1:0.9-0.7.20091024svn
- Rebuild for Qt 4.6b1 ABI break

* Sun Oct 25 2009 Ben Boeckel <MathStuf@gmail.com> 1:0.9-0.6.20091024svn
- Rebuild with new sources

* Sun Oct 25 2009 Ben Boeckel <MathStuf@gmail.com> 1:0.9-0.5.20091024svn
- New snapshot

* Sun Oct 25 2009 Kevin Kofler <Kevin@tigcc.ticalc.org>  1:0.9-0.4.20090930svn
- Build as knetworkmanager4 for F10 so KDE 3 KNM users are not forced to upgrade
- Obsolete knetworkmanager4 (and keep replacing the KDE 3 KNM) on F11+

* Wed Sep 30 2009 Ben Boeckel <MathStuf@gmail.com> 1:0.9-0.3.20090930svn
- New snapshot

* Mon Sep 21 2009 Ben Boeckel <MathStuf@gmail.com> 1:0.9-0.2.20090919svn
- Add back missing Requires:

* Mon Sep 21 2009 Ben Boeckel <MathStuf@gmail.com> 1:0.9-0.1.20090919svn
- Version seems to be .9 now
- Fix trailing spaces
- New snapshot

* Tue Sep 15 2009 Rex Dieter <rdieter@fedoraproject.org> 1:0.8-0.22.20090815svn
- Epoch: 1

* Fri Aug 28 2009 Rex Dieter <rdieter@fedoraproject.org> 0.8-0.21.20090815svn
- use knetworkmanager pkg names
- quasi-artificially inflate version to 0.8 (for now), to simplify upgrade path
  for knetworkmanager-0.7 (from F-10)
- nuke -devel pkg
- drop references to short-lived kde-plasma-networkmanager

* Sat Aug 15 2009 Rex Dieter <rdieter@fedoraproject.org> 0.1-0.20.20090815svn
- New snapshot
- optimize scriptlets
- -libs subpkg, multilib-friendly

* Mon Jul 27 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.19.20090726svn
- Add BR on kdelibs-experimental-devel

* Mon Jul 27 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.18.20090726svn
- New snapshot

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.17.20090602svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 09 2009 Rex Dieter <rdieter@fedoraproject.org> 0.1-0.16.20090602svn
- Requires: NetworkManager

* Wed Jun 03 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.15.20090602svn
- Remove patch and use wildcards instead

* Wed Jun 03 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.14.20090602svn
- New snapshot (revision 976742 committed 2009-06-02 13:47 UTC)

* Thu May 21 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.1-0.13.20090519svn
- Give the internal libs sonames independent of the KDE version (fix F12 build)

* Wed May 20 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.12.20090519svn
- New snapshot (revision 970021 committed 2009-05-19 13:34 UTC)

* Tue May 05 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.1-0.11.20090504svn
- New snapshot (revision 963263 committed 2009-05-04 10:57 UTC)
- Clarify %%description

* Fri Apr 24 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.10.20090424svn
- Respin snapshot
- Add disclaimer to %%description

* Wed Apr 8 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.9.20090403svn
- Respin snapshot

* Tue Mar 3 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.8.20090302svn
- Respin snapshot

* Tue Mar 3 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.1-0.7.20090217svn
- Obsoletes/Provides knetworkmanager on F11+ for upgrade paths

* Tue Feb 24 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.6.20090217svn
- Moved P/O to correct places

* Sat Feb 21 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.5.20090217svn
- Fixed Provides to have a version
- Fixed Obsoletes/Provides for subpackages
- Fixed licensing

* Fri Feb 20 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.4.20090217svn
- Fixed Obsoletes/Provides
- Fixed URL

* Sat Feb 7 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.3.20090207svn
- Add changelog
- Added tarball creation
- Changed name to kde-plasma-networkmanagement

* Tue Jan 13 2009 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1-0.2.20090111svn
- General cleanup

* Sun Jan 11 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.1.20090111svn
- Initial package
